
! Copyright (C) 2002 - Observatoire de Paris/Meudon
!                      Universite Paris 7
!                      CNRS (France)
!                      Contact : Jacques.Lebourlot@obspm.fr
!
! This program is free software; you can redistribute it and/or
! modify it under the terms of the GNU General Public License version 2
! as published by the Free Software Foundation.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this program; if not, write to the Free Software
! Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


MODULE TRANSFER
! +new formulation for the non-embedded case
!  but incuding R' effects   (spring 2005) jlb
! +theory & code revision (june-july 2005) jrg
! +embedded sources preliminary coding (oct 2005) jlb+jrg

!*****************************************************************
! Radiation Field manipulations tools
!*****************************************************************

  USE constantes

  IMPLICIT NONE

! Extinction computation related dimensions
! (Flannery et al. dev on Legendre polynomials)

  !Effective order of Legendre development
  integer, public                   :: lleg  = 19
  !mleg = (lleg + 1) / 2
  integer, public                   :: mleg  = 10

 !Local gaz line absorption
 REAL (kind=dp), dimension (:,:), public, allocatable  :: g_absL
 !Integrated gaz line absorption
 REAL (kind=dp), dimension (:,:), public, allocatable  :: g_absI

! Roots of Legendre polynomials

  real (kind=dp), public, dimension(10,10)             :: xmui

! L = 1 -> M = 1
       data xmui(1,1) / 0.577350269189626_dp /

! L = 3 -> M = 2
       data xmui(2,1) / 0.339981043584856_dp /
       data xmui(2,2) / 0.861136311594053_dp /

! L = 5 -> M = 3
       data xmui(3,1) / 0.238619186083197_dp /
       data xmui(3,2) / 0.661209386466265_dp /
       data xmui(3,3) / 0.932469514203152_dp /

! L = 7 -> M = 4
       data xmui(4,1) / 0.183434642495650_dp /
       data xmui(4,2) / 0.525532409916329_dp /
       data xmui(4,3) / 0.796666477413627_dp /
       data xmui(4,4) / 0.960289856497536_dp /

! L = 9 -> M = 5
       data xmui(5,1) / 0.148874338981631_dp /
       data xmui(5,2) / 0.433395394129247_dp /
       data xmui(5,3) / 0.679409568299024_dp /
       data xmui(5,4) / 0.865063366688985_dp /
       data xmui(5,5) / 0.973906528517172_dp /

! L = 11 -> M = 6
       data xmui(6,1) / 0.125233408511469_dp /
       data xmui(6,2) / 0.367831498998180_dp /
       data xmui(6,3) / 0.587317954286617_dp /
       data xmui(6,4) / 0.769902674194305_dp /
       data xmui(6,5) / 0.904117256370475_dp /
       data xmui(6,6) / 0.981560634246719_dp /

! L = 15 -> M = 8
       data xmui(8,1) / 0.095012509837637_dp /
       data xmui(8,2) / 0.281603550779258_dp /
       data xmui(8,3) / 0.458016777657227_dp /
       data xmui(8,4) / 0.617876244402643_dp /
       data xmui(8,5) / 0.755404408355003_dp /
       data xmui(8,6) / 0.865631202387831_dp /
       data xmui(8,7) / 0.944575023073232_dp /
       data xmui(8,8) / 0.989400934991649_dp /

! L = 19 -> M = 10
       data xmui(10,1) / 0.076526521133497_dp /
       data xmui(10,2) / 0.227785851141645_dp /
       data xmui(10,3) / 0.373706088715419_dp /
       data xmui(10,4) / 0.510867001950827_dp /
       data xmui(10,5) / 0.636053680726515_dp /
       data xmui(10,6) / 0.746331906460150_dp /
       data xmui(10,7) / 0.839116971822218_dp /
       data xmui(10,8) / 0.912234428251325_dp /
       data xmui(10,9) / 0.963971927277913_dp /
       data xmui(10,10) / 0.993128599185094_dp /


  private

! public :: etin90

!------------------------------------------------------------------------

!contains


!---------------------------------------------------------------------------

END MODULE TRANSFER
